LogOnControllerDownloadHistory Method |
GET /LogOn/DownloadHistory/{id}
Gets the requested download as a binary file.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpGetAttribute]
[ActionNameAttribute("DownloadHistory")]
public IActionResult DownloadHistory(
Guid id,
Guid? sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("DownloadHistory")>
Public Function DownloadHistory (
id As Guid,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpGetAttribute]
[ActionNameAttribute(L"DownloadHistory")]
IActionResult^ DownloadHistory(
Guid id,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("DownloadHistory")>]
member DownloadHistory :
id : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the DBI Logs Export file. - sessionId (Optional)
- Type: SystemNullableGuid
The current session ID.
Return Value
Type:
IActionResultA status code indicating success and the file, or a failure reason.
See Also